%define	name	aspell
%define	version	.28.2.1
%define	release 1	

Summary: A spelling checker.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	LGPL
Group: Applications/Text
URL:		http://metalab.unc.edu/kevina/aspell
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
Aspell is a spelling checker designed to eventually replace Ispell.
Aspell's primary advantage over Ispell is Aspell's greater skill at
suggesting correct spellings. Aspell includes both compile-time and
run-time support for non-English languages and also works as a C++
library with C and Perl interfaces in development.

%package	devel
Summary: The static libraries and header files needed for Aspell development.
Group: Development/Libraries
%description	devel
Aspell is a spelling checker. The aspell-devel package includes the
static libraries and header files needed for Aspell development.

%prep
%setup -q

%configure --prefix=/usr --enable-static

%build
make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

cp -pr $RPM_BUILD_ROOT/usr/doc/aspell .

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO aspell/*
/usr/bin/aspell
/usr/bin/run-with-aspell
/usr/lib/aspell
/usr/lib/libaspell.so.*

%files		devel
%defattr(-,root,root)
/usr/include/aspell
/usr/lib/libaspell.a
/usr/lib/libaspell.la
/usr/lib/libaspell.so

%changelog
* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- built for Powertools 6.1
- removed %serial definitions from spec file to make versioning
  consistant with the other packages we ship.
- changed build root path
- general spec file cleanups

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.27.2-2]
- Changes from .27.1 to .27.2 (Mar 1, 1999)
- Fixed a major bug that caused aspell to dump core when used
  without any arguments
- Fixed another major bug that caused aspell to do nothing when used
  in interactive mode.
- Added an option to exit in Aspell's interactive mode.
- Removed some old documentation files from the distribution.
- Minor changes on to the section on using Aspell with egcs.
- Minor changes to remove -Wall warnings.
